Egyéni domainek
GET https://seo.eclick.app/api/domains/available
curl --request GET \
--url 'https://seo.eclick.app/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://seo.eclick.app/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
| Paraméterek | Részletek | Leírás |
|---|---|---|
| search | Opcionális Húr | A keresési kifejezés. |
| search_by | Opcionális Húr | Milyen mező alapján keresel? Engedélyezett értékek: host. |
| datetime_field | Opcionális Húr | Engedélyezett értékek: datetime, last_datetime |
| datetime_start | Opcionális Húr | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcionális Húr | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcionális Húr | Milyen mező szerint rendezzük az eredményeket. Engedélyezett értékek: domain_id, datetime, last_datetime, host. |
| order_type | Opcionális Húr | Az eredmények sorrendje. Engedélyezett értékek: ASC a növekvő sorrendhez, és DESC a csökkenő sorrendhez. |
| page | Opcionális Egész szám | Az oldal száma, ahonnan az eredményeket szeretnéd. Alapértelmezett: 1. |
| results_per_page | Opcionális Egész szám | Hány eredményt szeretnél oldalanként? Engedélyezett értékek: 10, 25, 50, 100, 250, 500, 1000. Alapértelmezett: 25. |
{
"data": [
{
"id": 1,
"type": 0,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-06 15:59:33",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://seo.eclick.app/api/domains/available?page=1",
"last": "https://seo.eclick.app/api/domains/available?page=1",
"next": null,
"prev": null,
"self": "https://seo.eclick.app/api/domains/available?page=1"
}
}
GET https://seo.eclick.app/api/domains/
curl --request GET \
--url 'https://seo.eclick.app/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://seo.eclick.app/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| Paraméterek | Részletek | Leírás |
|---|---|---|
| search | Opcionális Húr | A keresési kifejezés. |
| search_by | Opcionális Húr | Milyen mező alapján keresel? Engedélyezett értékek: host. |
| is_enabled | Opcionális Logikai | |
| datetime_field | Opcionális Húr | Engedélyezett értékek: datetime, last_datetime |
| datetime_start | Opcionális Húr | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcionális Húr | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcionális Húr | Milyen mező szerint rendezzük az eredményeket. Engedélyezett értékek: domain_id, datetime, last_datetime, host. |
| order_type | Opcionális Húr | Az eredmények sorrendje. Engedélyezett értékek: ASC a növekvő sorrendhez, és DESC a csökkenő sorrendhez. |
| page | Opcionális Egész szám | Az oldal száma, ahonnan az eredményeket szeretnéd. Alapértelmezett: 1. |
| results_per_page | Opcionális Egész szám | Hány eredményt szeretnél oldalanként? Engedélyezett értékek: 10, 25, 50, 100, 250, 500, 1000. Alapértelmezett: 25. |
{
"data": [
{
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-06 15:59:33",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://seo.eclick.app/api/domains?page=1",
"last": "https://seo.eclick.app/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://seo.eclick.app/api/domains?page=1"
}
}
GET https://seo.eclick.app/api/domains/{domain_id}
curl --request GET \
--url 'https://seo.eclick.app/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://seo.eclick.app/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-06 15:59:33",
}
}
POST https://seo.eclick.app/api/domains
| Paraméterek | Részletek | Leírás |
|---|---|---|
| host | Kötelező Húr | - |
| custom_index_url | Opcionális Húr | - |
| custom_not_found_url | Opcionális Húr | - |
curl --request POST \
--url 'https://seo.eclick.app/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://seo.eclick.app/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://seo.eclick.app/api/domains/{domain_id}
| Paraméterek | Részletek | Leírás |
|---|---|---|
| host | Opcionális Húr | - |
| custom_index_url | Opcionális Húr | - |
| custom_not_found_url | Opcionális Húr | - |
curl --request POST \
--url 'https://seo.eclick.app/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://seo.eclick.app/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://seo.eclick.app/api/domains/{domain_id}
curl --request DELETE \
--url 'https://seo.eclick.app/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://seo.eclick.app/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \